import request from "@/utils/request";
// 钻进-起下钻 =====================//

// 钻进-起下钻 钻机参数查询
export function getZjcsInfo(id) {
  return request({
    url: "/jt/jtZjqxzzjcs/zjxx/" + id,
    method: "get",
  });
}
//钻机参数新增
export function addZjcsInfo(data) {
  return request({
    url: "/jt/jtZjqxzzjcs",
    method: "post",
    data,
  });
}
//钻机参数编辑
export function editZjcsInfo(data) {
  return request({
    url: "/jt/jtZjqxzzjcs",
    method: "put",
    data,
  });
}
//游车重量列表
export function listYczltz(query) {
  return request({
    url: "/jt/JtZjqxzzjcsYczltz/list",
    method: "get",
    params: query,
  });
}
//游车重量新增
export function addYczltz(data) {
  return request({
    url: "/jt/JtZjqxzzjcsYczltz",
    method: "post",
    data,
  });
}
//游车重量修改
export function editYczltz(data) {
  return request({
    url: "/jt/JtZjqxzzjcsYczltz",
    method: "put",
    data,
  });
}
//游车重量删除
export function deleteYczltz(id) {
  return request({
    url: "/jt/JtZjqxzzjcsYczltz/" + id,
    method: "delete",
  });
}

//套管  =====================//
//套管 钻机参数查询
export function getXtgcsInfo(id) {
  return request({
    url: "/jt/JtXtgzjcs/zjxx/" + id,
    method: "get",
  });
}
//钻机参数新增
export function addXtgcsInfo(data) {
  return request({
    url: "/jt/JtXtgzjcs",
    method: "post",
    data,
  });
}
//钻机参数编辑
export function editXtgcsInfo(data) {
  return request({
    url: "/jt/JtXtgzjcs",
    method: "put",
    data,
  });
}
//游车重量调整-游车重量列表
export function listXtgcsYczltz(query) {
  return request({
    url: "/jt/JtXtgzjcsYczltz/list",
    method: "get",
    params: query,
  });
}
//游车重量新增
export function addXtgcsYczltz(data) {
  return request({
    url: "/jt/JtXtgzjcsYczltz",
    method: "post",
    data,
  });
}
//游车重量修改
export function editXtgcsYczltz(data) {
  return request({
    url: "/jt/JtXtgzjcsYczltz",
    method: "put",
    data,
  });
}

//游车重量删除
export function deleteXtgcsYczltz(id) {
  return request({
    url: "/jt/JtXtgzjcsYczltz/" + id,
    method: "delete",
  });
}
// 钻进、起下钻 =====================//
//钻进、起下钻  施工参数查询
export function listZjsgcs(id) {
  return request({
    url: "/jt/jtZjzhzjsgcs/sgcs/" + id,
    method: "get",
  });
}
//施工参数新增
export function addZjsgcs(data) {
  return request({
    url: "/jt/jtZjzhzjsgcs",
    method: "post",
    data,
  });
}
//施工参数编辑
export function editZjsgcs(data) {
  return request({
    url: "/jt/jtZjzhzjsgcs",
    method: "put",
    data,
  });
}
//流量限制list
export function listLyxz(query) {
  return request({
    url: "/jt/jtZjzhzjsgcsLyxz/list",
    method: "get",
    params: query,
  });
}
//流量限制新增
export function addLyxz(data) {
  return request({
    url: "/jt/jtZjzhzjsgcsLyxz",
    method: "post",
    data,
  });
}
//流量限制编辑
export function editLyxz(data) {
  return request({
    url: "/jt/jtZjzhzjsgcsLyxz",
    method: "put",
    data,
  });
}
//流量限制删除
export function deleteLyxz(id) {
  return request({
    url: "/jt/jtZjzhzjsgcsLyxz/" + id,
    method: "delete",
  });
}
// 套管=====================//
//套管 施工参数查询
export function listTgsgcs(id) {
  return request({
    url: "/jt/jtZjzhxtgsgcs/sgcs/" + id,
    method: "get",
  });
}
//施工参数新增
export function addTgsgcs(data) {
  return request({
    url: "/jt/jtZjzhxtgsgcs",
    method: "post",
    data,
  });
}
//施工参数编辑
export function editTgsgcs(data) {
  return request({
    url: "/jt/jtZjzhxtgsgcs",
    method: "put",
    data,
  });
}
//流量限制list
export function listTglyxz(query) {
  return request({
    url: "/jt/jtZjzhxtgsgcsLyxz/list",
    method: "get",
    params: query,
  });
}
//流量限制新增
export function addTglyxz(data) {
  return request({
    url: "/jt/jtZjzhxtgsgcsLyxz",
    method: "post",
    data,
  });
}
//流量限制编辑
export function editTglyxz(data) {
  return request({
    url: "/jt/jtZjzhxtgsgcsLyxz",
    method: "put",
    data,
  });
}
//流量限制删除
export function deleteTglyxz(id) {
  return request({
    url: "/jt/jtZjzhxtgsgcsLyxz/" + id,
    method: "delete",
  });
}
